{
  lib,
  pkgs,
  inputs,
  ...
}:
let
  inherit (lib.my) getExe getExe';
  wp = inputs.wallpapers.wallpapers.pastel.nix-flake.path;
in
{
  systemd.user.services.swww = {
    Install.WantedBy = [ "graphical-session.target" ];
    Unit.After = [ "graphical-session.target" ];

    Service = {
      Type = "simple";
      ExecStart = "${getExe' pkgs.swww "swww-daemon"} --no-cache";
      ExecStartPost = "${getExe pkgs.swww} img ${wp} -t none";
      Restart = "on-failure";
      BindPaths = "/run/user ${wp}";
      TemporaryFileSystem = "/home /run/user /root";
      ProtectProc = "noaccess";
      RestrictNamespaces = true;
      CapabilityBoundingSet = "";
      PrivateUsers = true;
      RestrictAddressFamilies = "AF_UNIX";
    } // lib.my.systemdHardening;
  };

  home.packages = [ pkgs.swww ];
}
